BBB Accreditation

CabForward℠ Earns BBB Accreditation This week, CabForward℠ announced its recent accreditation by the Better Business Bureau serving Central, Coastal, Southwest Texas and the Permian Basin. As a BBB Accredited Business, CabForward, founded in 2008, is dedicated to promoting trust in the marketplace. “We are pleased to be a BBB Accredited Business because we value building trust with our customers,” said …

Parrot Bebop Drone

Consumer Grade Drones Grow in Popularity

The government is still wary of them, but filmmakers, journalists, wanna-be nosey-pokers, and the kid in most of us, all clearly want hobby level consumer-grade video drones.  Proper names for commercial and military drones include unmanned aerial vehicle (UAV), remotely piloted vehicle (RPV), remotely piloted aircraft (RPA), and remotely operated aircraft (ROA).  We created some specialty mapping software for use …

Ruby on Rails is Open Source (free) Software

Poodle Bug Discovered

Exerpts from an article by Nicole Perlroth: Poodle Bug Marks Third Major Security Flaw Discovered This Year First there was Heartbleed, then Shellshock, and now Poodle, yet another serious security vulnerability in yet another widely used piece of software that went unnoticed for years. This time, the Poodle vulnerability — which stands for Padding Oracle On Downloaded Legacy Encryption — …

Security Bug In OpenSSL Could Affect Much Of The Internet

A very serious bug in OpenSSL, an open-source software library that is used to secure most of the Internet’s sensitive traffic has been discovered and publicly disclosed. The bug is being called “Heartbleed”, has a lot of system administrators and security teams scurrying to secure their systems. OpenSSL is probably a part of your life in many ways. If the …

Forward Thinking CabForward

Security Vulnerability Announced in the Psych Gem

The Heroku Ruby Team has provided instructions on how to repair the security vulnerability announced with the libyaml library used in the Psych gem. This applies to all Ruby (MRI) applications on Heroku. This vulnerability could lead to arbitrary code execution when parsing YAML. To ensure you are running on the patched version of ruby, please follow the steps below. …

CabForward Traits

Security Vulnerabilities in Ruby 1.8.7

Still on Ruby 1.8.7? You have 13 security vulnerabilities! Call us to upgrade! Ruby is a dynamic, open source object-oriented programming language that was influenced by Perl, Smalltalk, Eiffel, Ada, and Lisp. It also has a dynamic type system and automatic memory management. All these capabilities make it a favorite platform for developers. It also makes it attractive to hackers …

Important update for Mac OS X

Following quickly behind the security fix for iOS, comes the same update for Macs. However, this update packs more than the scary SSL verification bug fix. Apple has been preparing and testing 10.9.2 for awhile now, so this bigger update comes as no surprise, but very welcome. I know my move to 10.9 Mavericks hasn’t been as painless as I …

Apple updates iOS 7 for a data security (SSL/TLS) bug, OS X update coming “very soon”

On Friday, Apple released iOS 7.0.6 which “provides a fix for SSL connection verification.” The support notes provided read: iOS 7.0.6 Data Security Available for: iPhone 4 and later, iPod touch (5th generation), iPad 2 and later Impact: An attacker with a privileged network position may capture or modify data in sessions protected by SSL/TLS Description: Secure Transport failed to …